<?php
/**
 * Plugin Name: AnimaGate AI Suite
 * Plugin URI: https://www.animagate.com/ai-suite
 * Description: AI によるウェブサイト運営を効率化する統合プラグイン（になる予定）
 * Version: 1.0.2
 * Author: AnimaGate, Inc.
 * Author URI: https://www.animagate.com
 * Text Domain: animagate-ai-suite
 * Domain Path: /languages
 * License: GPL-2.0+
 */

// 直接アクセス禁止
if (!defined('ABSPATH')) {
    exit;
}

// 定数定義
define('AGAS_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('AGAS_PLUGIN_URL', plugin_dir_url(__FILE__));
define('AGAS_VERSION', '1.0.0');
define('AGAS_TEXT_DOMAIN', 'animagate-ai-suite');

// クラスの読み込み
require_once AGAS_PLUGIN_DIR . 'includes/class-animagate-ai-suite.php';
require_once AGAS_PLUGIN_DIR . 'includes/class-animagate-ai-suite-admin.php';
require_once AGAS_PLUGIN_DIR . 'includes/class-animagate-ai-suite-generator.php';

// ブロックエディター関連のクラスを読み込み
require_once AGAS_PLUGIN_DIR . 'includes/class-animagate-ai-suite-editor.php';

// プラグインのアクティベーションとアンインストールのフック
register_activation_hook(__FILE__, array('AnimaGate_AI_Suite', 'activate'));

// 拡張機能の読み込み
require_once AGAS_PLUGIN_DIR . 'includes/extensions/class-prompt-templates.php';

// プラグインの初期化
$animagate_ai_suite = new AnimaGate_AI_Suite();
$animagate_ai_suite->run();

// 拡張機能のインスタンス化
new AnimaGate_AI_Suite_Prompt_Templates();